=== tests/auto/qmldom/stringdumper/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from stringdumper.pro.

#####################################################################
## tst_qmldomstringdumper Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qmldomstringdumper LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qmldomstringdumper
    SOURCES
        tst_qmldomstringdumper.cpp tst_qmldomstringdumper.h
    DEFINES
        QT_DEPRECATED_WARNINGS
    INCLUDE_DIRECTORIES
        ../../../../src/qmldom
    LIBRARIES
        Qt::QmlDomPrivate
)
